/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/
package gov.vha.edb.rules.web.builder;

import ilog.webui.dhtml.IlxWPort;

import java.io.PrintWriter;

public abstract class Util {

  public static void startDiv(IlxWPort port, String style) {
    if (port.getBrowserInfo().greaterOrEqualsIE50() ||
        port.getBrowserInfo().greaterOrEqualsMOZILLA5()) {
      PrintWriter out = port.getWriter();
      out.print("<div style=\""+style+"\">");
    }
  }

  public static void endDiv(IlxWPort port) {
    if (port.getBrowserInfo().greaterOrEqualsIE50() ||
        port.getBrowserInfo().greaterOrEqualsMOZILLA5()) {
      PrintWriter out = port.getWriter();
      out.println("</div>");
    }
  }

}
